package com.emato.cus.supervise.service.cus;

import com.emato.cus.supervise.domainCus.CusAcqInventoryInfo03;

import java.util.List;
import java.util.Map;

/**
 * 货物库存数据 CUS
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 17:14
 */
public interface CusAcqInventoryInfoService03 {
    /**
     * 插入货物库存数据
     * @param list
     * @return
     */
    int addCusAcqInventoryInfo(List<CusAcqInventoryInfo03> list);

    /**
     * 更新库存数据
     * @param list
     * @return
     */
    int updateCusAcqInventoryInfo(List<CusAcqInventoryInfo03> list);

    /**
     * 查询现有库存信息
     * @param list
     * @return
     */
    List listCusAcqInventoryInfo(List<String> list);

}
