package com.emato.cus.supervise.service.omsshop.impl;

import com.emato.cus.supervise.domain.WmsAcqGoodsMove;
import com.emato.cus.supervise.domainOmsShop.OmsShopAcqGoodsMove;
import com.emato.cus.supervise.mapper.WmsAcqGoodsMoveMapper;
import com.emato.cus.supervise.mapperOmsShop.OmsShopAcqGoodsMoveMapper;
import com.emato.cus.supervise.service.omsshop.OmsShopAcqGoodsMoveService;
import com.emato.cus.supervise.service.wms.WmsAcqGoodsMoveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 门店转移 Oms 门店
 * @author Scott Chen
 * @version 1.0
 * 2020-03-30 11:27
 */
@Service
public class OmsShopAcqGoodsMoveServiceImpl implements OmsShopAcqGoodsMoveService {

    @Autowired
    private OmsShopAcqGoodsMoveMapper omsShopAcqGoodsMoveMapper;

    /**
     * 货物库位移动数据
     *
     * @param param
     * @return
     */
    @Override
    @Transactional(value ="thirdTransactionManager")
    public List<OmsShopAcqGoodsMove> getOmsShopAcqGoodsMove(Map<String, Object> param) {
        return omsShopAcqGoodsMoveMapper.getOmsShopAcqGoodsMove(param);
    }
}
